Subject: Re: bug#58363: 29.0.50; sqlite-select does not signal errors and errors should be improved

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Oct 2022 16:18:09 +0200

Jonas Bernoulli <[email-masked]> writes:

> Thanks, but what about my suggestion to use a dedicated signal?
> (Suggesting that different signals be used for different error
> codes, may have been a bit excessive though.)

I'm not sure adding a separate signal would be valuable here.

> More importantly though, please also include the actual error
> message from SQLite in the error data.  Currently only a string
> is included, which represents the _kind_ of error that occurred,
> something like "SQL logic error".

Ah, I missed that it was possible to get more data out of sqlite about
what's wrong.

I've now added the extra error string to the value.